QSql(3qt)

NAME
QSql - Namespace for Qt SQL identifiers that need to be global-like

SYNOPSIS
#include <qsql.h>

  Public Members
QSql ()
enum Op { None = -1, Insert = 0, Update = 1, Delete = 2 }
enum Location { BeforeFirst = -1, AfterLast = -2 }
enum Confirm { Cancel = -1, No = 0, Yes = 1 }

DESCRIPTION
The QSql class is a namespace for Qt SQL identifiers that need to be global-like.

Normally, you can ignore this class. Several Qt SQL classes inherit it, so all the identifiers in the Qt SQL namespace are visible to you without qualification.

See also Database Classes.

  Member Type Documentation

QSql::Confirm
This enum type describes edit confirmations.

The currently defined values are:

QSql::Yes

QSql::No

QSql::Cancel

QSql::Location
This enum type describes SQL navigation locations.

The currently defined values are:

QSql::BeforeFirst

QSql::AfterLast

QSql::Op
This enum type describes edit operations.

The currently defined values are:

QSql::None

QSql::Insert

QSql::Update

QSql::Delete

MEMBER FUNCTION DOCUMENTATION

QSql::QSql ()
Constructs a Qt SQL namepsace class

SEE ALSO
http://doc.trolltech.com/qsql.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qsql.3qt) and the Qt version (3.0.3).